# Usage Example

from enstools.feature.pipeline import FeaturePipeline
from enstools.feature.identification.african_easterly_waves import AEWIdentification
import os

pipeline = FeaturePipeline()

# init AEWIdentification strategy, can take different parameters
i_strat = AEWIdentification()

# t_strat = OverlapTracking()
# t_strat = EmptyTr()

pipeline.set_identification_strategy(i_strat)
pipeline.set_tracking_strategy(None)

data_path = "/home/muffin/phd/data/aew/cv/*.nc"
pipeline.set_data_path(data_path)

# execute pipeline
pipeline.execute()

# out_netcdf_path = data_path + '_streamers.nc'
out_json_path = data_path[:-4] + 'aew_desc.json'
pipeline.save_result(description_type='json', description_path=out_json_path)



